GET
/v2/providers/seller_api/apis/api/v1/marketplace/meta/display-categories2609170000查看品類列表
# 01
簡介
查看品類列表
# 02
詳細內容
API 支援的買家用戶地區:韓國、台灣
此 API 用於查看所有顯示品類列表。請點擊以下連結下載檔案:
韓國用戶請點擊此處下載 Download the category list in an excel file
台灣賣家請點擊此處下載 Download the category list in excel file
路徑
GET/v2/providers/seller_api/apis/api/v1/marketplace/meta/display-categories
範例端點
https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/meta/display-categories# 03
回應內容
回應訊息
| Name | Type | Description | ||||||||
|---|---|---|---|---|---|---|---|---|---|---|
| code | string | 結果代碼 SUCCESS/ERROR | ||||||||
| message | string | 訊息
| ||||||||
| data | object | 顯示品類列表(根據顯示品類數量重複 N 次)
| ||||||||
| displayItemCategoryCode data.displayItemCategoryCode | integer | |||||||||
| name data.name | string | 顯示品類名 根據查看的顯示品類個數重複 N 次。 | ||||||||
| status data.status | string | 顯示品類狀態
| ||||||||
| child data.child | object[] | 顯示子品類(若無則為空陣列 [],品類資訊一致)
| ||||||||
| displayItemCategoryCode data.child[].displayItemCategoryCode | integer | |||||||||
| name data.child[].name | string | 同上
| ||||||||
| status data.child[].status | string | 同上
| ||||||||
| child data.child[].child | object[] | 顯示子品類(可再遞迴)
| ||||||||
| displayItemCategoryCode data.child[].child[].displayItemCategoryCode | integer | |||||||||
| name data.child[].child[].name | string | |||||||||
| status data.child[].child[].status | string | |||||||||
| child data.child[].child[].child | object[] | |||||||||
| displayItemCategoryCode data.child[].child[].child[].displayItemCategoryCode | integer | |||||||||
| name data.child[].child[].child[].name | string | |||||||||
| status data.child[].child[].child[].status | string | |||||||||
| child data.child[].child[].child[].child | object[] | |||||||||
| displayItemCategoryCode data.child[].child[].child[].child[].displayItemCategoryCode | integer | |||||||||
| name data.child[].child[].child[].child[].name | string | |||||||||
| status data.child[].child[].child[].child[].status | string | |||||||||
| child data.child[].child[].child[].child[].child | object[] | |||||||||
| displayItemCategoryCode data.child[].child[].child[].child[].child[].displayItemCategoryCode | integer | |||||||||
| name data.child[].child[].child[].child[].child[].name | string | |||||||||
| status data.child[].child[].child[].child[].child[].status | string | |||||||||
| child data.child[].child[].child[].child[].child[].child | object[] |
Response Example
{
"code": "SUCCESS",
"message": "",
"data": {
"displayItemCategoryCode": 0,
"name": "ROOT",
"status": "ACTIVE",
"child": [
{
"displayItemCategoryCode": 69182,
"name": "패션의류잡화",
"status": "ACTIVE",
"child": [
{
"displayItemCategoryCode": 69183,
"name": "여성패션",
"status": "ACTIVE",
"child": [
{
"displayItemCategoryCode": 69184,
"name": "여성의류",
"status": "ACTIVE",
"child": [
{
"displayItemCategoryCode": 79268,
"name": "티셔츠",
"status": "ACTIVE",
"child": [
{
"displayItemCategoryCode": 79383,
"name": "민소매/나시",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 79382,
"name": "반소매",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 79381,
"name": "긴소매",
"status": "ACTIVE",
"child": []
}
]
},
{
"displayItemCategoryCode": 69186,
"name": "맨투맨",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 79269,
"name": "후드티",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 69187,
"name": "블라우스",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 69188,
"name": "셔츠(남방)",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 86393,
"name": "양봉용품",
"status": "ACTIVE",
"child": [
{
"displayItemCategoryCode": 86389,
"name": "양봉의류",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 86390,
"name": "양봉모자/잡화",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 86391,
"name": "벌통",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 86392,
"name": "양봉용 자재",
"status": "ACTIVE",
"child": []
}
]
}
]
}
]
}
]
}
]
}
}# 04
錯誤碼
| HTTP | 代碼 | 訊息 |
|---|---|---|
| -- | ||